# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'radarScope.ui'
#
# Created: Sun Nov 27 21:37:34 2016
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_radarScopeFrame(object):
    def setupUi(self, radarScopeFrame):
        radarScopeFrame.setObjectName("radarScopeFrame")
        radarScopeFrame.resize(701, 584)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(radarScopeFrame.sizePolicy().hasHeightForWidth())
        radarScopeFrame.setSizePolicy(sizePolicy)
        self.verticalLayout = QtWidgets.QVBoxLayout(radarScopeFrame)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.zoomLevel_slider = QtWidgets.QSlider(radarScopeFrame)
        self.zoomLevel_slider.setMaximum(100)
        self.zoomLevel_slider.setPageStep(5)
        self.zoomLevel_slider.setOrientation(QtCore.Qt.Vertical)
        self.zoomLevel_slider.setInvertedAppearance(False)
        self.zoomLevel_slider.setInvertedControls(False)
        self.zoomLevel_slider.setTickPosition(QtWidgets.QSlider.TicksBelow)
        self.zoomLevel_slider.setTickInterval(10)
        self.zoomLevel_slider.setObjectName("zoomLevel_slider")
        self.horizontalLayout_2.addWidget(self.zoomLevel_slider)
        self.scopeView = RadarScopeView(radarScopeFrame)
        self.scopeView.setInteractive(True)
        self.scopeView.setObjectName("scopeView")
        self.horizontalLayout_2.addWidget(self.scopeView)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.bgImg_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.bgImg_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.bgImg_menuButton.setObjectName("bgImg_menuButton")
        self.horizontalLayout_3.addWidget(self.bgImg_menuButton)
        self.nav_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.nav_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.nav_menuButton.setObjectName("nav_menuButton")
        self.horizontalLayout_3.addWidget(self.nav_menuButton)
        spacerItem = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem)
        self.AD_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.AD_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.AD_menuButton.setObjectName("AD_menuButton")
        self.horizontalLayout_3.addWidget(self.AD_menuButton)
        self.LDG_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.LDG_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.LDG_menuButton.setObjectName("LDG_menuButton")
        self.horizontalLayout_3.addWidget(self.LDG_menuButton)
        spacerItem1 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.ACFT_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.ACFT_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.ACFT_menuButton.setObjectName("ACFT_menuButton")
        self.horizontalLayout_3.addWidget(self.ACFT_menuButton)
        self.courseLineFlyTime_edit = QtWidgets.QSpinBox(radarScopeFrame)
        self.courseLineFlyTime_edit.setMinimum(1)
        self.courseLineFlyTime_edit.setMaximum(5)
        self.courseLineFlyTime_edit.setObjectName("courseLineFlyTime_edit")
        self.horizontalLayout_3.addWidget(self.courseLineFlyTime_edit)
        spacerItem2 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem2)
        self.mouse_info = QtWidgets.QLabel(radarScopeFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.mouse_info.sizePolicy().hasHeightForWidth())
        self.mouse_info.setSizePolicy(sizePolicy)
        self.mouse_info.setObjectName("mouse_info")
        self.horizontalLayout_3.addWidget(self.mouse_info)
        spacerItem3 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.options_menuButton = QtWidgets.QToolButton(radarScopeFrame)
        self.options_menuButton.setChecked(False)
        self.options_menuButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.options_menuButton.setObjectName("options_menuButton")
        self.horizontalLayout_3.addWidget(self.options_menuButton)
        self.verticalLayout.addLayout(self.horizontalLayout_3)

        self.retranslateUi(radarScopeFrame)
        QtCore.QMetaObject.connectSlotsByName(radarScopeFrame)
        radarScopeFrame.setTabOrder(self.zoomLevel_slider, self.scopeView)
        radarScopeFrame.setTabOrder(self.scopeView, self.options_menuButton)

    def retranslateUi(self, radarScopeFrame):
        _translate = QtCore.QCoreApplication.translate
        radarScopeFrame.setWindowTitle(_translate("radarScopeFrame", "Radar scope"))
        self.bgImg_menuButton.setText(_translate("radarScopeFrame", "Bg"))
        self.nav_menuButton.setText(_translate("radarScopeFrame", "Nav"))
        self.AD_menuButton.setText(_translate("radarScopeFrame", "AD"))
        self.LDG_menuButton.setText(_translate("radarScopeFrame", "LDG"))
        self.ACFT_menuButton.setText(_translate("radarScopeFrame", "ACFT"))
        self.courseLineFlyTime_edit.setToolTip(_translate("radarScopeFrame", "Course/vector line fly time"))
        self.courseLineFlyTime_edit.setSuffix(_translate("radarScopeFrame", " min"))
        self.mouse_info.setText(_translate("radarScopeFrame", "##"))
        self.options_menuButton.setText(_translate("radarScopeFrame", "Opts"))

from GUI.widgets.radarScopeView import RadarScopeView
